package com.pcloud.book.guide.biz;

import com.pcloud.book.guide.vo.*;
import com.pcloud.common.page.PageBeanNew;

public interface PcloudGuideBiz {

    Integer addPcloudGuide(CreatePcloudGuideVO createPcloudGuideVO);

    void deletePcloudGuide(Integer pcloudGuideId);

    void updatePcloudGuide(UpdatePcloudGuideVO updatePcloudGuideVO);

    PcloudGuideVO getPcloudGuide(Integer pcloudGuideId);

    PageBeanNew<PcloudGuideVO> listPcloudGuide(Integer currentPage, Integer numPerPage, String robotWxId, String search);

    void updateSeqNum(UpdateSeqNumVO updateSeqNumVO);

    void create4Robot(Create4RobotVO create4RobotVO);

    void setSilenceDuration(RobotSilenceVO robotSilenceVO);

    void copyGuideSetting(String fromRobotWxId, String toRobotWxId);
}
